## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorStackEntryType Struct Reference

`#include <XercesDocumentBridge.hpp>`

Collaboration diagram for XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorStackEntryType:

List of all members.

## Public Methods

- NavigatorStackEntryType ( XercesBridgeNavigator* theNavigator = 0, XalanNode* theNode = 0)

## Public Attributes

- XercesBridgeNavigator* m_navigator
- XalanNode* m_node

## Constructor & Destructor Documentation

XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorStackEntryType::NavigatorStackEntryType ( | XercesBridgeNavigator * theNavigator = 0,
| XalanNode * theNode = 0 )

## Member Data Documentation

XercesBridgeNavigator * XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorStackEntryType::m_navigator

XalanNode * XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorStackEntryType::m_node

The documentation for this struct was generated from the following file:

- XercesDocumentBridge.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.